## python-mt-940 4.30.0

=== Makefile ===
.PHONY: clean-pyc clean-build docs

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run mt940_tests quickly with the default Python"
	@echo "testall - run mt940_tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	flake8 mt940 mt940_tests

test:
	py.test

test-all:
	tox

coverage:
	coverage run --source mt940 setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/mt940.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ mt940
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py register || true
	python setup.py sdist upload build_sphinx upload_sphinx

sdist: clean
	python setup.py sdist
	ls -l dist

=== docs/requirements.txt ===
-e.[docs]

=== debian/changelog ===
python-mt-940 (4.30.0-3) unstable; urgency=medium

  * Updated my mail address in d/control
  * Add patch for newer intersphinx mapping format (Closes: #1090151)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 21 Dec 2024 14:51:00 +0100

python-mt-940 (4.30.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.
  * Mark python-mt-940-doc Multi-Arch: foreign
  * Added my new mail address

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 08 Aug 2023 12:58:16 +0200

python-mt-940 (4.30.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1038814)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Mon, 19 Dec 2022 16:06:12 +0100

=== debian/control ===
Source: python-mt-940
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-yaml,
 python3-sphinx <!nodoc>,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-doctestplus
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/wolph/mt940
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mt-940
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mt-940.git

Package: python3-mt-940
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-mt-940-doc,
Description: Python library to parse mt940 files
 A library to parse MT940 files and returns smart Python collections for
 statistics and manipulation.
 .
 This package installs the library for Python 3.

Package: python-mt-940-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Python library to parse mt940 files (documentation)
 A library to parse MT940 files and returns smart Python collections for
 statistics and manipulation.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mt-940
export PYBUILD_TEST_ARGS={dir}/mt940_tests/

# try to prevent unsanctioned downloads
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-mt-940-doc/usr/share/doc/python-mt-940-doc/html
	dh_sphinxdoc

# remove unnecessary files after install
execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-mt-940/usr/lib/python3.11/dist-packages/mt940_tests/*
	rm -f $(CURDIR)/debian/python3-mt-940/usr/lib/python3.11/dist-packages/.coverage
	rm -rf $(CURDIR)/debian/python3-mt-940/usr/lib/python3.11/dist-packages/htmlcov/*
	rm -f $(CURDIR)/debian/python3-mt-940/usr/lib/python3.11/dist-packages/htmlcov/.gitignore

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/wolph/mt940 \
	refs/tags/v([\d\.]+)
